package com.zj365.health.adapter

import android.view.View
import android.widget.ImageView
import android.widget.TextView
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.zj365.health.R
import com.xty.network.model.DkBean
import com.xty.network.model.ItemDrugHealthCare

class DrugImgDescAdapter : BaseAdapter<ItemDrugHealthCare>(R.layout.item_img_with_desc) {
    override fun convert(holder: BaseViewHolder, item: ItemDrugHealthCare) {
        holder.getView<ImageView>(R.id.image).setImage(context,item.photo)
        holder.setText(R.id.tvName,item.name)
        holder.setText(R.id.tvContent,item.desc.replace("<br>",""))
    }

}